Deleting a project connection by name.
curl --request DELETE \
--url https://eu1.api.matillion.com/dpc/v1/projects/{projectId}/connections \
--header 'Authorization: Bearer <token>'import requests
url = "https://eu1.api.matillion.com/dpc/v1/projects/{projectId}/connections"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://eu1.api.matillion.com/dpc/v1/projects/{projectId}/connections', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"detail": "<string>",
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>",
"violations": [
"<string>"
]
}{
"detail": "<string>",
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>",
"violations": [
"<string>"
]
}{
"detail": "<string>",
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>",
"violations": [
"<string>"
]
}Connections
Deleting a project connection by name.
DELETE
/
v1
/
projects
/
{projectId}
/
connections
Deleting a project connection by name.
Authorizations
a valid bearer token
Path Parameters
The unique identifier of the project from which the project connection will be deleted
Pattern:
^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$Query Parameters
A name of the project connection which needs to be deleted.
Response
Successfully deleted the project connection
Was this page helpful?
Create a new project connection
Previous
Retrieve a page of connection overrides which apply in a specific environment.
Next
⌘I
